def combinaisons(n,p):
    result = 1
    if n>p and p>0:
        result = combinaisons(n-1,p-1) + combinaisons(n-1,p)
    return result

print(combinaisons(32,5))

def combinaisons2(n,p):
    if n>p and p>0:
        return combinaisons(n-1,p-1) + combinaisons(n-1,p)
    else:
        return 1

print(combinaisons2(32,5))